Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class DefaultSOAP12TypeMappingImpl

    java.lang.Object
      |
      +--org.apache.axis.encoding.TypeMappingImpl
            |
            +--org.apache.axis.encoding.DefaultTypeMappingImpl
                  |
                  +--org.apache.axis.encoding.DefaultSOAP12TypeMappingImpl

All Implemented Interfaces:
  TypeMapping, TypeMapping

public class DefaultSOAP12TypeMappingImpl
extends DefaultTypeMappingImpl

Author:
  Rich Scheuerle (scheu@us.ibm.com) This is the implementation of the axis Default JAX-RPC SOAP 1.2 TypeMapping See DefaultTypeMapping for more information.

Inner classes inherited from class org.apache.axis.encoding.TypeMappingImpl
`TypeMappingImpl.Pair`

Fields inherited from class org.apache.axis.encoding.TypeMappingImpl
`delegate, log`

Constructor Summary
`protected` | `DefaultSOAP12TypeMappingImpl()`

Method Summary
`static TypeMapping` | `create()` Construct TypeMapping

Methods inherited from class org.apache.axis.encoding.DefaultTypeMappingImpl
`getSingleton, myRegister, myRegisterSimple, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Methods inherited from class org.apache.axis.encoding.TypeMappingImpl
`getClassForQName, getDelegate, getDeserializer, getDeserializer, getSerializer, getSerializer, getSupportedEncodings, getTypeQName, getTypeQNameRecursive, getXMLType, internalRegister, isRegistered, setDelegate, setDoAutoTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSOAP12TypeMappingImpl

    protected DefaultSOAP12TypeMappingImpl()

Method Detail

### create

    public static TypeMapping create()

  Construct TypeMapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.